Get the videos a user has liked, by username, numeric user ID, or profile URL. Returns the same fields as User Videos for each liked video. Accounts that hide their liked videos return an empty list.
curl "https://apidirect.io/v1/tiktok/user/likes?username=bbcnews" -H "X-API-Key: YOUR_API_KEY"
{
"videos": [
{
"video_id": "7686739862707424534",
"title": "Buckingham Palace strongly pushed back on Wednesday against claims made in a new book",
"url": "https://www.tiktok.com/@bbcnews/video/7686739862707424534",
"date": "2026-09-18 05:16:16",
"date_timestamp": 1789708576,
"author": "bbcnews",
"source": "TikTok",
"domain": "tiktok.com",
"snippet": "Buckingham Palace strongly pushed back on Wednesday against claims made in a new book",
"region": "GB",
"play_count": 444580,
"likes": 15934,
"comments": 791,
"shares": 487,
"downloads": 90,
"saves": 1007,
"duration": 71,
"is_ad": false,
"is_pinned": false,
"author_name": "BBC News",
"author_id": "6953176899251241989",
"author_avatar": "https://p16-common-sign.tiktokcdn-eu.com/.../avatar.jpeg",
"author_url": "https://www.tiktok.com/@bbcnews",
"cover": "https://p16-common-sign.tiktokcdn-eu.com/.../cover.jpeg",
"dynamic_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../dynamic_cover.webp",
"origin_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../origin_cover.jpeg",
"video_url": "https://v19.tiktokcdn-eu.com/.../video.mp4",
"video_url_watermarked": "https://v19.tiktokcdn-eu.com/.../video_wm.mp4",
"size": 10246341,
"size_watermarked": 9402354,
"images": [],
"music_id": "7686739934060890902",
"music_title": "original sound - bbcnews",
"music_author": "BBC News",
"music_url": "https://sf16-music.tiktokcdn-eu.com/.../music.mp3",
"music_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../music_cover.jpeg",
"music_album": "",
"music_original": true,
"music_duration": 71,
"mentioned_user_ids": []
}
],
"username": "bbcnews",
"pages": 1,
"count": 15
}
Most accounts hide their liked videos, which is TikTok's default setting. A hidden list returns 200 with an empty list.
Yes. Provide exactly one of username, user_id, or url.
You only pay for successful requests. The TikTok User Likes API costs $0.006 per page. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.
No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.
Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.
Get your API key and start making requests in minutes. 50 requests/month free every month.
Get API Key